## ClutterRotateAction

ClutterRotateAction — Action to rotate an actor

## Functions

ClutterAction * | clutter_rotate_action_new ()

## Signals

gboolean | rotate | Run Last

## Types and Values

struct | ClutterRotateAction
struct | ClutterRotateActionClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── ClutterActorMeta
                ╰── ClutterAction
                    ╰── ClutterGestureAction
                        ╰── ClutterRotateAction

## Description

ClutterRotateAction is a sub-class of ClutterGestureAction that implements the logic for recognizing rotate gestures using two touch points.

## Functions

### clutter_rotate_action_new ()

    ClutterAction *
    clutter_rotate_action_new (void);

Creates a new ClutterRotateAction instance

#### Returns

the newly created ClutterRotateAction

Since 1.12

## Types and Values

### struct ClutterRotateAction

    struct ClutterRotateAction;

The ClutterRotateAction structure contains only private data and should be accessed using the provided API

Since 1.12

### struct ClutterRotateActionClass

    struct ClutterRotateActionClass {
      gboolean (* rotate)  (ClutterRotateAction *action,
                            ClutterActor        *actor,
                            gdouble              angle);
    };

The ClutterRotateActionClass structure contains only private data.

#### Members

`rotate` () | class handler for the “rotate” signal |

Since 1.12

## Signal Details

### The `“rotate”` signal

    gboolean
    user_function (ClutterRotateAction *action,
                   ClutterActor        *actor,
                   gdouble              angle,
                   gpointer             user_data)

The ::rotate signal is emitted when a rotate gesture is recognized on the attached actor and when the gesture is cancelled (in this case with an angle value of 0).

#### Parameters

action | the ClutterRotateAction that emitted the signal |
actor | the ClutterActor attached to the `action` |
angle | the difference of angle of rotation between the initial rotation and the current rotation |
user_data | user data set when the signal handler was connected. |

#### Returns

`TRUE` if the rotation should continue, and `FALSE` if the rotation should be cancelled.

Flags: Run Last

Since 1.12